Added a notification that transcoding has started
Added a notification that transcoding has started

--- a/HLS-Stream-Creator.sh
+++ b/HLS-Stream-Creator.sh
@@ -73,7 +73,14 @@
 See LICENSE
 
 
-Usage: HLS-Stream-Creator.sh inputfile segmentlength(seconds) [outputdir='./output']
+Usage: HLS-Stream-Creator.sh -i [inputfile] -s [segmentlength(seconds)] -o [outputdir]
+
+	-i	Input file
+	-s	Segment length (seconds)
+	-o	Output directory (default: ./output)
+
+Deprecated Legacy usage:
+	HLS-Stream-Creator.sh inputfile segmentlength(seconds) [outputdir='./output']
 
 EOM
 
@@ -83,15 +90,34 @@
 
 # Get the input data
 
-# Basic Usage is going to be
-# cmd.sh inputfile segmentlength 
+# This exists to maintain b/c
+LEGACY_ARGS=1
 
-INPUTFILE=${INPUTFILE:-$1}
-SEGLENGTH=${SEGLENGTH:-$2}
-if ! [ -z "$3" ]
+# If even one argument is supplied, switch off legacy argument style
+while getopts "i:o:s:" flag
+do
+	LEGACY_ARGS=0
+        case "$flag" in
+                i) INPUTFILE="$OPTARG";;
+                o) OUTPUT_DIRECTORY="$OPTARG";;
+                s) SEGLENGTH="$OPTARG";;
+        esac
+done
+
+
+if [ "$LEGACY_ARGS" == "1" ]
 then
-  OUTPUT_DIRECTORY=$3
+  # Old Basic Usage is 
+  # cmd.sh inputfile segmentlength 
+
+  INPUTFILE=${INPUTFILE:-$1}
+  SEGLENGTH=${SEGLENGTH:-$2}
+  if ! [ -z "$3" ]
+  then
+    OUTPUT_DIRECTORY=$3
+  fi
 fi
+
 
 # Check we've got the arguments we need
 if [ "$INPUTFILE" == "" ] || [ "$SEGLENGTH" == "" ]
@@ -131,6 +157,8 @@
 # Finally, lets build the output filename format
 OUT_NAME=$INPUTFILENAME"_%05d.ts"
 
+echo "Generating HLS segments - this may take some time"
+
 # Processing Starts
 $FFMPEG -i "$INPUTFILE" \
   -loglevel error -y \

file:a/README.md -> file:b/README.md
--- a/README.md
+++ b/README.md
@@ -16,13 +16,18 @@
 Usage is incredibly simple
 
 ```
-./HLS-Stream-Creator.sh inputfile segmentlength(seconds) [outputdir='./output']
+./HLS-Stream-Creator.sh -i [inputfile] -s [segmentlength(seconds)] -o [outputdir]
+
+
+Deprecated Legacy usage:
+	HLS-Stream-Creator.sh inputfile segmentlength(seconds) [outputdir='./output']
+
 ```
 
 So to split a video file called *example.avi* into segments of 10 seconds, we'd run
 
 ```
-./HLS-Stream-Creator.sh example.avi 10
+./HLS-Stream-Creator.sh -i example.avi -s 10
 ```
 
 
@@ -82,4 +87,8 @@
 HLS-Stream-Creator is licensed under the [BSD 3 Clause License](http://opensource.org/licenses/BSD-3-Clause) and is Copyright (C) 2013 [Ben Tasker](http://www.bentasker.co.uk)
 
 
+Issue Tracking
+----------------
 
+Although the Github issue tracker can be used, the bulk of project management (such as it is) happens in JIRA. See [projects.bentasker.co.uk](http://projects.bentasker.co.uk/jira_projects/browse/HLS.html) for a HTML mirror of the tracking.
+